﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using Infragistics.Documents.Excel;
using System.Collections.ObjectModel;

namespace excelread
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openfileDialog = new OpenFileDialog();
            Workbook workbook1;
            ObservableCollection<RowData> col = new ObservableCollection<RowData>();

            // Open dialog
            if (openfileDialog.ShowDialog() == true)
            {
                // If user selected a file get the stream of that file
                FileStream stream = openfileDialog.File.OpenRead();
                stream = new FileStream(@"..\..\file1.xlsx", FileMode.Open);
                // Load workbook with data
                workbook1 = Workbook.Load(stream);

                foreach (WorksheetRow r in workbook1.Worksheets[0].Rows)
                {
                    RowData rd = new RowData();
                    foreach (WorksheetCell c in r.Cells)
                        rd.Add(c.Value.ToString());
                    col.Add(rd);
                }
                lb.ItemsSource = col;
                stream.Close();
                
            }
           
        }
    }
    public class RowData : ObservableCollection<string>
    {
    
    }
}
